/* You can add global styles to this file, and also import other style files */
/** GENERAL **/
@import './colors.scss';

.bg-grey
{
    color:white;
    background-color:$grey !important;
}
.bg-pink
{
    background-color: $pink;
}
.bg-pastel
{
    background-color: $pastel !important;
}
.bg-purple
{
    background-color:$purple;
}
.bg-mallow
{
    background-color:$mallow;
}
.bg-body
{
    background-color:white;
}
.text-purple
{
    color:$purple !important;
}

.text-pastel{
    color: $pastel;
}
.text-pink{
    color: $pink;
}
.text-mallow{
    color: $mallow;
}
.text-grey{
    color: $grey !important;
}

.border-purple
{
    border: 2px solid $purple;
}
.cursor:hover
{
    cursor: pointer;
}

.btn-mallow{
    border:none;
    color:white !important;
    border-radius: 5px !important;
    background-color:$mallow !important;
    &:hover{
        color:white !important;
        transform: scale(1.02);
        transition: all ease 0.2s;
    }
}

.btn-grey
{
    border:none;
    color:white !important;
    border-radius: 5px !important;
    &:hover{
        background-color:white !important;
        color:$grey !important;
        transform: scale(1.02);
        transition: all ease 0.2s;
    }
}

.btn-out-grey
{
    border:none;
    color:$grey !important;
    background-color:white !important;
    border: $grey;
    border-radius: 5px !important;
    &:hover{
        background-color:$grey !important;
        color:white !important;
        transform: scale(1.02);
        transition: all ease 0.2s;
    }
}

.btn-pastel{
    border:none;
    color:white !important;
    border-radius: 5px !important;
    background-color:$pastel !important;
    &:hover{
        color:white !important;
        transform: scale(1.02);
        transition: all ease 0.2s;
    }
}

.Aligner {
    display: flex;
    align-items: center;
    justify-content: center;
  }

.b-shadow-grey:focus{
    border-color:white !important;
    box-shadow: 0 0 0 0.1rem lighten($grey,30%) !important;
}

.radio-grey{
    background-color: lighten($grey,20%) !important;
    color:white;
}

.radio-grey:hover, .radio-grey.active{
    color:$pastel !important;
    background-color: $grey !important;
}

.v-center{
    display: flex;
  align-items: center;
  justify-content: center;
}

.label {
    padding:3px 10px 3px 10px;
}
.text-grey{
    color:$grey;
}
.activeNav{
    background-color:darken($mallow, 5%);
}

.is-invalid{
    border-color: $purple !important;
}

.invalid-feedback{
    color:$purple !important;
    background-image: none !important;
}

.md-form input[type=text]:focus:not([readonly]), .md-form input[type=number]:focus:not([readonly]){
    border-bottom: 0 !important;
    box-shadow: 0 1px 0 0 #7f0042 !important;
  }